> ## Documentation Index
> Fetch the complete documentation index at: https://enzohealth-12c99f25.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OASIS by job ID



## OpenAPI

````yaml get /v1/oasis/getOasisByJobId
openapi: 3.0.3
info:
  title: Enzo API
  description: OpenAPI compliant REST API built using tRPC with Next.js
  version: 1.0.0
servers:
  - url: https://app.enzo.health/api
security: []
externalDocs:
  url: https://docs.enzo.health/api
paths:
  /v1/oasis/getOasisByJobId:
    get:
      tags:
        - OASIS
      summary: Get OASIS by job ID
      operationId: oasisPublic-getOasisByJobId
      parameters:
        - in: query
          name: jobId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sectionId:
                      type: string
                    sectionTitle:
                      type: string
                    sectionCode:
                      type: string
                    questions:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          code:
                            type: string
                          title:
                            type: string
                          description:
                            type: string
                          isAbstract:
                            type: boolean
                            nullable: true
                          order:
                            type: number
                          parentId:
                            type: string
                            nullable: true
                          answerType:
                            type: string
                          dataType:
                            type: string
                          possibleAnswers:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                value:
                                  type: string
                                title:
                                  type: string
                                desc:
                                  type: string
                                  nullable: true
                              required:
                                - id
                                - value
                                - title
                                - desc
                          jobAnswer:
                            type: object
                            properties:
                              originalAnswer:
                                anyOf:
                                  - type: string
                                  - type: array
                                    items:
                                      type: string
                              enzoAnswer:
                                anyOf:
                                  - type: string
                                  - type: array
                                    items:
                                      type: string
                              finalAnswer:
                                anyOf:
                                  - type: string
                                  - type: array
                                    items:
                                      type: string
                              reason:
                                anyOf:
                                  - type: string
                                  - type: array
                                    items:
                                      type: string
                              originalOrder:
                                type: number
                              enzoOrder:
                                type: number
                          oasisType:
                            type: array
                            items:
                              type: string
                              enum:
                                - SOC_ROC
                                - FOLLOW_UP
                                - DISCHARGE
                          sectionId:
                            type: string
                          dependentQuestionId:
                            type: string
                            nullable: true
                          skipValues:
                            type: string
                            nullable: true
                          skipIfNull:
                            type: boolean
                            nullable: true
                        required:
                          - id
                          - code
                          - title
                          - description
                          - isAbstract
                          - order
                          - parentId
                          - answerType
                          - dataType
                          - possibleAnswers
                          - jobAnswer
                          - oasisType
                          - sectionId
                          - dependentQuestionId
                          - skipValues
                          - skipIfNull
                  required:
                    - sectionId
                    - sectionTitle
                    - sectionCode
                    - questions
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````